Bug 39946 - "Store (window) Settings" does not differ between main and "child" windows
Summary: "Store (window) Settings" does not differ between main and "child" windows
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-30 15:03 UTC by tr-koch
Modified: 2002-10-24 19:07 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tr-koch 2002-03-30 14:51:38 UTC
(*** This bug was imported into bugs.kde.org ***)

Package:           kwin
Version:           KDE 3.0.5 CVS/CVSup/Snapshot
Severity:          normal
Installed from:    Compiled sources
Compiler:          Not Specified
OS:                Linux
OS/Compiler notes: (debian woody)


"Store (window) Settings" does not differ between main and "child" windows e.g. open a kmail compose window save its geometry and restart kmail. kmail will have the size of the compose window.

Expected: Kwin should store only the settings of the choosen window and not all windows which belong to the application

(Submitted via bugs.kde.org)
Comment 1 Lubos Lunak 2002-10-02 17:37:01 UTC
 KWin doesn't differ between those window because it simply doesn't have enough information  
to do so. If you run 'xprop' in Konsole and click on the various KMail windows, you can see that  
the window properties don't give any reliable way how to differentiate those two windows. It 
would probably require to change all KDE apps to change WM_CLASS on their different types of 
windows (this would be also needed for bug #15329). 
 
  
Comment 2 Lubos Lunak 2002-10-24 19:07:27 UTC
 The KMail case should be fixed now. In case this happens with other applications, please report 
the bug for the application (see also 
http://lists.kde.org/?l=kde-core-devel&m=103521890818862&w=2 , including this link in the 
bugreport could help).